[package]
name = "mongodb_app"
version = "0.1.0"
authors.workspace = true
edition.workspace = true
license.workspace = true
rust-version.workspace = true

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[[bin]]
name = "mongodb_app"
path = "src/main.rs"

[dependencies]
async-trait = "0.1.73"
bson = { version = "2.7.0", features = ["chrono-0_4"] }
chrono = "0.4.30"
parking_lot = "0.12.1"
serde = { version = "1.0", features = ["derive"] }
thiserror = "1.0.48"
tokio = { version = "1.0.0", features = ["rt", "rt-multi-thread", "macros"] }
uuid = { version = "1.4.1", features = ["serde", "v4"] }
rand = "0.8.5"

[dependencies.mongodb]
default-features = true
features = ["tokio-runtime"]
version = "2.7.0-beta"
